---
id: debian-nodejs-installieren
title: Node.js installieren (Linux)
sidebar_label: Node.js installieren
---

## Einführung
In diesem Tutorial wird erklärt, wie du Node.js auf einem VPS, Root- oder Dedicated-Server installierst. Diese Anleitung gilt für Debian, Ubuntu und andere Linux-Distributionen. Du benötigst Root-Rechte und `curl`.

Melde dich zunächst als Root-Nutzer mit einem SSH-Client deiner Wahl an, z. B. PuTTY, Termius oder Tabby.

## Installation

### 1. NodeSource-Repository hinzufügen
Füge die offiziellen NodeSource-Paketquellen hinzu. Wähle die gewünschte Node.js-Version aus: `18.x`, `20.x`, `22.x` oder `23.x`:

```sh
# Ersetze VERSION mit 18, 20, 22 oder 23
VERSION=20
curl -fsSL https://deb.nodesource.com/setup_${VERSION}.x | bash -
```

Diese Methode funktioniert für Debian-basierte Distributionen wie Ubuntu und Debian selbst.

### 2. Node.js und npm installieren
Aktualisiere die Paketquellen und installiere Node.js zusammen mit `npm`:

```sh
apt update && apt install -y nodejs
```

### 3. Überprüfung der Installation
Stelle sicher, dass die Installation erfolgreich war, indem du die Versionen von Node.js und npm überprüfst:

```sh
node -v
npm -v
```

Falls die Versionsnummern angezeigt werden, ist Node.js erfolgreich installiert.

## Installation für andere Betriebssysteme
Falls du Node.js auf einer nicht-Debian-basierten Distribution wie CentOS, Fedora oder Arch Linux installieren möchtest, kannst du das offizielle Installationsskript von Node.js verwenden:

```sh
curl -fsSL https://install-node.vercel.app | bash
```

Alternativ kannst du das Node.js Binary direkt von der offiziellen Webseite herunterladen: [https://nodejs.org/en/download/](https://nodejs.org/en/download/)

## Optionale Pakete
Falls du den Node.js-Paketmanager `yarn` verwenden möchtest, kannst du ihn mit folgendem Befehl installieren:

```sh
npm install -g yarn
```

Überprüfe die Installation von Yarn:

```sh
yarn -v
```

## Fazit
Node.js ist nun auf deinem Linux-Server installiert und einsatzbereit. Du kannst nun Anwendungen mit Node.js und npm verwalten.

### Passenden Server mieten
Falls du noch keinen passenden Server hast, kannst du über folgenden Link einen mieten:
[Root-Server mieten bei DeinServerHost](https://deinserverhost.de/root-server-ssd-mieten)
