module.exports = {
    title: 'DeinServerHost Wiki',
    tagline: 'Das DeinServerHost Wiki bietet dir Informationen rund um uns und deine Dienste bei uns.',
    url: 'https://deinserverhost.de/',
    baseUrl: '/wiki/',
    onBrokenLinks: 'throw',
    onBrokenMarkdownLinks: 'warn',
    favicon: 'img/favicon.png',
    organizationName: 'lightgreenwings', // Usually your GitHub org/user name.
    projectName: 'dsh-docu', // Usually your repo name.
    themeConfig: {
        colorMode: {
            defaultMode: 'dark',
            disableSwitch: true,
            respectPrefersColorScheme: false,
        },
        navbar: {
            title: '',
            logo: {
                alt: 'DeinServerHost Dokumentation',
                src: 'img/deinserverhost.png',
            },
            items: [
                {
                    href: 'https://deinserverhost.de/store/login.php',
                    label: 'Zum Kundenbereich',
                    position: 'right',
                },
                {
                    type: 'localeDropdown',
                    position: 'left',
                },
            ],
        },
        footer: {
            style: 'dark',
            links: [],
            copyright: `Copyright © 2013 - ${new Date().getFullYear()} DeinServerHost | <a href="https://deinserverhost.de/impressum.php">Impressum</a> <a href="https://deinserverhost.de/agb.php">AGB</a> <a href="https://deinserverhost.de/datenschutz.php">Datenschutz</a>`,
        },
    },
    presets: [
        [
            '@docusaurus/preset-classic',
            {
                docs: {
                    //sidebarPath: require.resolve('./sidebars.js'),
                    path: 'i18n/de/docusaurus-plugin-content-docs/current',
                    routeBasePath: '/',
                },
                theme: {
                    customCss: require.resolve('./src/css/custom.css'),
                },
            },
        ],
    ],
    i18n: {
        defaultLocale: 'de',
        locales: ['de', 'en'],
        localeConfigs: {
            en: {
                htmlLang: 'en-GB',
            },
            de: {
                htmlLang: 'de-DE',
            },
        },
    },
    plugins: [
        // German docs plugin
        [
            '@docusaurus/plugin-content-docs',
            {
                id: 'docs-de',
                // Uses Markdown + sidebars from the i18n/de folder
                path: 'i18n/de',
                routeBasePath: 'de', // e.g., yoursite.com/de/myDoc
                sidebarPath: require.resolve('./i18n/de/sidebars-de.js'),
            },
        ],
        // English docs plugin
        [
            '@docusaurus/plugin-content-docs',
            {
                id: 'docs-en',
                // Uses Markdown + sidebars from the i18n/en folder
                path: 'i18n/en',
                routeBasePath: 'en', // e.g., yoursite.com/en/myDoc
                sidebarPath: require.resolve('./i18n/en/sidebars-en.js'),
            },
        ],
    ],
};
