---
id: debian-cronjobs-einstellen
title: Cronjobs installieren
sidebar_label: Cronjobs installieren
---

Installation von Cronjobs mit Debian und Ubuntu

## Informationen
In diesem Tutorial wird dir gezeigt, wie du Cronjobs auf einem VPS oder Dedicated Server installierst. Du benötigst dafür Debian 10 und Root Rechte.
Melde dich zunächst als root mit dem SSH Client deiner Wahl an, z.B. PuTTY oder Terminus.

Bitte stelle vor der Installation sicher, dass du [Sudo](debian-sudo-installieren) installiert hast.

### Installationen

**Debian**
```sh
sudo yum install crontab
```

**CentOS**
```sh
sudo apt-get install rsyslog fail2ban
```

**Ubuntu**
```sh
sudo apt-get install rsyslog fail2ban
```

### Verwendung

1. Benutzer auswählen, mit dem die Cronjobs ausgeführt werden sollen. ("benutzer" durch einen Benutzernamen ändern)
   ```sh
   su "benutzer"
   ```
2. Nun öffnest du den Cronjob:
   ```sh
   crontab -e
   ```
3. Jetzt wirst du nach einem Editor gefragt. Ich wähle [nano](debian-nano-installieren) aus.

4. Jetzt öffnet sich der Editor mit der geöffneten Cronjob-Datei.

5. Dies ist ein Cronjob-Befehl, welcher ein tar-Backup vom Home-Verzeichnis macht.
   ```sh
   0 5 * * 1 tar -zcf /var/backups/home.tgz /home/
   @reboot tar -zcf /var/backups/home.tgz /home/
   ```
6. Ein Cronjob besteht aus zwei Teilen.
   Teil 1 ist die Zeitangabe oder eine Angabe mit @ z.B.:
   ```sh
   0 5 * * 1
   @reboot
   ```
   Im Beispiel: Nicht angegebene Werte werden durch einen Stern ersetzt. Der Cronjob läuft jede Minute.
   ```sh
   */1 * * * * tar -zcf /var/backups/home.tgz /home/
   ```

- Zahl 1 sind die Minuten von 0 bis 59.
- Zahl 2 sind die Stunden von 0 bis 23.
- Zahl 3 sind die Tage von 1 bis 31.
- Zahl 4 sind die Monate von 1 bis 12.
- Zahl 5 sind die Wochentage von 0 bis 7. (0 und 7 = Sonntag)

7. Nun beenden wir Teil 2 mit folgendem Befehl:
   ```sh
   tar -zcf /var/backups/home.tgz /home/
   ```

![img](/img/cronjobs/1.png)

