---
id: debian-discord-bot-setup
title: Host a Python Discord Bot
sidebar_label: Host a Python Discord Bot
---
Hosting a Discord bot on a Debian VPS

## Information
This tutorial will guide you through **hosting a Discord bot** on a **VPS, root, or dedicated server**.  
You will need **a Debian-based distribution** and **root access**.  
First, log in as **root** using your preferred SSH client, such as **PuTTY, Termius, or Tabby**.

### Installation
1. First, install **Python and screen**:

    ```sh
    sudo apt update && sudo apt install python3 pip3 screen
    ```

2. Now, use **WinSCP** to transfer your **bot source files** to the server.

![img](/img/dcbot/connect.png)

![img](/img/dcbot/upload.gif)

3. Then, install the required **Python packages** using pip:

    ```sh
    pip3 install package1 package2
    ```

4. Test if your bot is running correctly:

    ```sh
    python3 /path/to/bot.py
    ``` 
5. If everything is working, start the bot with **screen** so you can close the SSH session:

    ```sh
    screen -dmS bot python3 /path/to/bot.py
    ```

6. *(Optional)* You can set up a **cron job** to **automatically start the bot** when the server boots:

    ```sh
    crontab -e
    ```

   When prompted, choose an **editor** (I recommend **nano** or **vim**). Then, add the following cron job:

    ```sh
    @reboot /usr/bin/screen -dmS userbot /usr/bin/python3 /path/to/bot.py
    ```
