---
id: a-record-erstellen
title: Create an A Record
sidebar_label: A Record
---
This guide explains how to create an A Record for your domain.

## Preparation
Before we start with the A Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are A Records Used For?
A Records are used to **resolve domain names** (e.g., deinserverhost.de) to **IPv4 addresses**.  
This is necessary when a **website** or other services need to be accessible via a domain.

### 🚀 Creating A Records
Step-by-step guide:
1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **A Record** from the options.
5. You will be asked for a **hostname**. You can enter:
  - A **subdomain** (e.g., "myserver")
  - `@` for the **main domain** itself
  - `*` for the **main domain and all possible subdomains**
6. Next, you must enter an **IPv4 address**.  
   This is usually the **IP address of your server or webspace**, e.g., **91.200.103.0**.
7. Confirm by clicking **Save**.

The A Record has been successfully created! 🎉
