---
id: aaaa-record-erstellen
title: Create an AAAA Record
sidebar_label: AAAA Record
---
This guide explains how to create an AAAA Record for your domain.

## Preparation
Before we start with the AAAA Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are AAAA Records Used For?
AAAA Records are used to **resolve domain names** (e.g., deinserverhost.de) to **IPv6 addresses**.  
This is necessary when a **website** or other services need to be accessible via a domain.

### 🚀 Creating AAAA Records
Step-by-step guide:
1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **AAAA Record** from the options.
5. You will be asked for a **hostname**. You can enter:
  - A **subdomain** (e.g., "myserver")
  - `@` for the **main domain** itself
  - `*` for the **main domain and all possible subdomains**
6. Next, you must enter an **IPv6 address**.  
   This is usually the **IP address of your server or webspace**, e.g., **2a01:367:c204::31f:cf**.
7. Confirm by clicking **Save**.

The AAAA Record has been successfully created! 🎉
