---
id: cname-record-erstellen
title: Create a CNAME Record
sidebar_label: CNAME Record
---
This guide explains how to create a CNAME Record for your domain.

## Preparation
Before we start with the CNAME Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are CNAME Records Used For?
CNAME Records are used to **create an alias for a domain name**.  
For example, this allows **deinserverhost.de** to be accessible via **dsh.domain.de**.

If the **IP address of the target domain changes**, the **CNAME Record does not need to be updated** and will continue to work.

### 🚀 Creating CNAME Records
Step-by-step guide:
1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **CNAME Record** from the options.
5. You will be asked for a **hostname**. You can enter:
  - A **subdomain** (e.g., "myserver")
  - `@` for the **main domain** itself
  - `*` for the **main domain and all possible subdomains**
6. Next, you must enter the **target domain**.  
   The content of this target domain will later be accessible via the CNAME Record.
7. Confirm by clicking **Save**.

The CNAME Record has been successfully created! 🎉
