---
id: mx-record-erstellen
title: Create an MX Record
sidebar_label: MX Record
---
This guide explains how to create an MX Record for your domain.

## Preparation
Before we start with the MX Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are MX Records Used For?
MX Records are used **exclusively for email services**.

For example, when an email is sent to **contact@deinserverhost.de**, the sender's mail server checks whether an **MX Record** exists for the domain **deinserverhost.de**.

If an MX Record is found, it provides the **Fully Qualified Domain Name (FQDN)** of the receiving mail server.  
Using this FQDN, the **A/AAAA Records** determine the **IP address** of the mail server, allowing the email to be delivered.

### 🚀 Creating MX Records
Step-by-step guide:
1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **MX Record** from the options.
5. You will be asked for a **hostname**. You can enter:
  - A **subdomain** (e.g., "mail")
  - `@` for the **main domain** itself (**most commonly used for MX Records**)
  - `*` for the **main domain and all possible subdomains**
6. Next, you must enter the **FQDN (Fully Qualified Domain Name)** of the mail server.  
   This is the **domain name** where the mail server is accessible, usually a subdomain (e.g., `mail.domain.de`).
7. **MX Records require a priority value**.
  - If you only have **one MX Record**, the value can be any number.
  - If you have **multiple MX Records**, the lower the value, the higher the priority.
8. Confirm by clicking **Save**.

The MX Record has been successfully created! 🎉
