---
id: srv-record-erstellen
title: Create an SRV Record
sidebar_label: SRV Record
---
This guide explains how to create an SRV Record for your domain.

## Preparation
Before we start with the SRV Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are SRV Records Used For?
SRV Records are used to **define which services are offered under a domain name**.

This type of record is often used for **game servers**, allowing users to connect **without specifying a port**, as well as for **load balancing**.

For example, if a **Minecraft server** running on port **25577** should be accessible via **deinserverhost.de** without requiring the port to be specified, an **SRV Record** must be used.

### ⚔ Creating an SRV Record for Minecraft
Step-by-step guide for creating an **SRV Record for a Minecraft server**:

> To use an SRV Record, you must first create an [A Record](a-record-erstellen) or an [AAAA Record](aaaa-record-erstellen).  
> The **A Record** or **AAAA Record** must point to the **IP address** of the server running the service.

1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **SRV Record** from the options.
5. You will be asked for a **service name**. For a Minecraft server, enter **"minecraft"**.
6. Next, select the **protocol type**. For Minecraft, choose **"TCP"**.
7. Then, enter the **hostname** under which the SRV Record should be available.
8. The next two steps (priority & weight) are optional unless you are using **load balancing**. You can enter any number (e.g., **10**).
9. Now, enter the **port number** of your **Minecraft server**.
10. In the final step, specify the **subdomain** that you created earlier.
11. Confirm by clicking **Save**.

The SRV Record has been successfully created! 🎉

### 📞 Creating an SRV Record for TeamSpeak
Step-by-step guide for creating an **SRV Record for a TeamSpeak server**:

> To use an SRV Record, you must first create an [A Record](a-record-erstellen) or an [AAAA Record](aaaa-record-erstellen).  
> The **A Record** or **AAAA Record** must point to the **IP address** of the server running the service.

Steps **1-4** are **identical** to creating an SRV Record for Minecraft.

- **Step 5:** Instead of `minecraft`, enter the service **"ts3"**.
- **Step 6:** Replace **"TCP"** with **"UDP"**.

Steps **7-11** remain the same as for **Minecraft**, except that in **Step 9**, you must enter the **TeamSpeak server port**.

### 🔫 Creating an SRV Record for FiveM

> To use an SRV Record, you must first create an [A Record](a-record-erstellen) or an [AAAA Record](aaaa-record-erstellen).  
> The **A Record** or **AAAA Record** must point to the **IP address** of the server running the service.

Steps **1-4** are **identical** to creating an SRV Record for Minecraft.

- **Step 5:** Instead of `minecraft`, enter the service **"cfx"**.
- **Step 6:** Replace **"TCP"** with **"UDP"**.

Steps **7-11** remain the same as for **Minecraft**, except that in **Step 9**, you must enter the **FiveM server port**.
