---
id: txt-record-erstellen
title: Create a TXT Record
sidebar_label: TXT Record
---
This guide explains how to create a TXT Record for your domain.

## Preparation
Before we start with the TXT Record, please make sure that you have followed the **general preparation** in the [DNS Management](../dns-allgemein) section!

### ℹ What Are TXT Records Used For?
TXT Records can store **various types of information in text form**.  
They are commonly used for:
- **Verifying domain ownership**, e.g., for SSL certificates from **Let's Encrypt**.
- **SPF, DKIM, and DMARC** records for **email authentication** and security.

A **domain ownership verification** is often required when requesting an **SSL certificate** from Let's Encrypt.

### 🚀 Creating TXT Records
Step-by-step guide:
1. Go to **Domain Management** in your customer area.
2. Click on **"DNS Management"** in the sidebar.  
   If this menu item is not visible, you can enable **our DNS management for free** via the **"Extensions"** menu or from the **homepage**.
3. Click on the button to **add a new record**.
4. Select **TXT Record** from the options.
5. You will be asked for a **hostname**. You can enter:
  - A **subdomain** (e.g., "mail")
  - `@` for the **main domain** itself
  - `*` for the **main domain and all possible subdomains**
6. Next, enter the **desired text**.
  - If you are creating a TXT Record for a **Let’s Encrypt certificate**, the text will be provided by the **server**.
7. Confirm by clicking **Save**.

The TXT Record has been successfully created! 🎉
