---
id: extra-preisliste
title: Price List - Additional Services
sidebar_label: Price List
---

# Price List for Additional Services

The table below provides the pricing for all additional services we offer.  
This price list is regularly updated, current as of **October 1, 2021**.

### **Summary**
The services are listed in more detail below.

| Service | Price |
|-------------|--------|
| Remote Hands  | 45.00 EUR per hour |
| Technician Deployment  | 25.00 EUR per 15 minutes |
| Managed Small | 25.00 EUR per server |
| Managed Medium | 62.50 EUR per server |
| Managed Large | 125.00 EUR per server |
| Pterodactyl Installation Service | 2.50 EUR per server |
| Mail Server Installation Service | 4.95 EUR per server |
| LAMP Installation Service | 1.95 EUR per server |
| WHMCS Installation Service | 9.95 EUR per server |
| Plesk Installation Service | 4.95 EUR per server |
| Standard Monitoring | 3.95 EUR per server |
| Advanced Monitoring | 9.95 EUR per server |
| Postal Invoice Delivery | 2.49 EUR per month |
| KVM Over IP Console (Spider) | 25.00 EUR per server |
| Full Disk Mirroring and Provisioning | 0.35 EUR per GB |
| Storage of Specific Data in a Password-Protected Area | 0.50 EUR per GB |
| Internal Network Configuration | 3.49 EUR |

#

## Remote Hands

Remote Hands covers all **active tasks performed on a system** by our team.  
If you require **software installation**, this falls under Remote Hands.  
Billing is based on increments of **5 minutes**, meaning **7 minutes of work** would be charged as **10 minutes**.

#

## Managed Small

We monitor the system with **Standard Monitoring**, including **PING, CPU usage, memory usage, and disk usage**.  
Notifications are sent in case of issues. Backups of specified folders are created and uploaded to our mirror, where they are stored for **one week**.  
Access to backups is provided via **username and password**.

- **Standard Monitoring**
- **Daily backups** according to customer specifications
- **Backup retention for up to one week**
- **Prioritized support** during office hours
- **2 hours of Remote Hands per month**
- **Minimum contract duration: 6, 12, or 24 months**

#

## Managed Medium

Includes everything from **Managed Small**, but with **5 hours of Remote Hands per month**.

#

## Managed Large

Includes everything from **Managed Medium**, but with **10 hours of Remote Hands per month**.

#

## Pterodactyl Installation Service

We install the **Pterodactyl web interface and Daemon** on your system.  
Optionally, we can install the web interface on a separate server.

#

## Mail Server Installation Service

We install and configure a **mail server** so that you only need to set up mail accounts.

#

## LAMP Installation Service

We install **Linux, Apache, MySQL, PHP** (with essential extensions), and **phpMyAdmin** on your system.

#

## WHMCS Installation Service

We install a **web server, PHP, a database server, and the necessary management software**.  
After installation, **WHMCS is installed and activated**.

#

## Standard Monitoring

We monitor a system using **standard checks**, including **PING, CPU usage, memory usage, and disk usage**.  
Customers receive **access to a web interface** where they can monitor **all their servers and statistics**.

#

## Advanced Monitoring

Includes everything from **Standard Monitoring**, plus **automatic detection for Layer 7 attacks**.  
If an attack is detected, the **Layer 7 filter is activated**, and it will automatically deactivate after a certain period.

#

## Postal Invoice Delivery

Invoices are delivered **via postal mail**.  
Please note that **postal delays may occur**.  
Customers are given **up to 8 days after invoice issuance** to complete payment.  
Invoices remain available in the **customer area** and via **email**.

#

## KVM Over IP Console (Spider)

A technician connects a **KVM Over IP Console** to your server.  
This allows **troubleshooting** even if the server becomes **inaccessible due to an error**.  
The console can also be used to **install an operating system or modify BIOS settings**.

> **⚠️ INFO**  
> *) Modifying BIOS settings incorrectly can damage the system!

#

## Full Disk Mirroring and Provisioning

We create a **full copy of the disk** and store it in a **password-protected area**.  
Alternatively, the disk can be mirrored **directly onto another disk** of equal or larger capacity.

#

## Storage of Specific Data in a Password-Protected Area

We create a **backup of specified data** and store it in a **password-protected area**, accessible for **up to 30 days**.  
Alternatively, you can provide a **download link** for the data.

#

## Internal Network Configuration

Especially useful for **reseller customers** managing multiple systems.  
Data exchange between servers over **public IPs incurs traffic costs**.  
To avoid this, we can **connect servers via an internal network**, where **traffic is not billed**.
