---
id: home
title: Game Server Information
sidebar_label: Information
---
Here you will find everything important you need to know about our game servers.

## Overview
Through the **sidebar**, you can access different game servers, where you will find **basic information** about each game.

### 🌎 Connect a Game Server to a Domain
Learn how to connect your **game server** to a domain in the **[SRV Record](../domains/dns/srv-record-erstellen)** wiki entry.

For **game servers rented directly from us**, our **DNS management provides templates**.  
More details can be found in the **[Domain Information](../domains/home#-dns-templates)** wiki entry.

### 🕹 Our Game Servers
We currently offer the following game servers:
- [7 Days to Die](https://deinserverhost.de/7-days-to-die-server-mieten)
- [alt:V Multiplayer](https://deinserverhost.de/altv-server-mieten)
- [ARK: Survival Evolved](https://deinserverhost.de/ark-survival-evolved-server-mieten)
- [Counter-Strike: Global Offensive](https://deinserverhost.de/counterstrike-global-offensive-server-mieten)
- [Counter-Strike: Source](https://deinserverhost.de/counterstrike-source-server-mieten)
- [Eco](https://deinserverhost.de/eco-server-mieten)
- [Factorio](https://deinserverhost.de/factorio-server-mieten)
- [Garry's Mod](https://deinserverhost.de/garrys-mod-server-mieten)
- [GTA - SA:MP](https://deinserverhost.de/gta-samp-server-mieten)
- [GTA - MTA](https://deinserverhost.de/gta-mta-server-mieten)
- [Minecraft Java/Bedrock/Pocketmine](minecraft-gameserver)
- [Rust](rust-gameserver)
- [Terraria](https://deinserverhost.de/terraria-server-mieten)
- [Valheim](https://deinserverhost.de/valheim-server-mieten)

### 💻 Game Server Panel

When you **rent a game server** from us, an **account is automatically created** at **[panel.deinserverhost.de](https://panel.deinserverhost.de)**.

With this account, you can **manage your game server** easily.

> **[!]** Before you can access your account, you must **activate it and set a password**.

#### ✔ Activate Your Account
When you order a new game server, you must **manually activate your administrator account** and set a **password** for security reasons.
1. Visit the **[password reset page](https://panel.deinserverhost.de/auth/password)** of the panel and request a reset link to the **email address** associated with your **customer account**.
2. Click on the **link in the email** and set a password for your account.

Now you can log in at **[panel.deinserverhost.de](https://panel.deinserverhost.de)**.

> **[!]** Didn't receive an email?  
> Wait **5 minutes** and check your **spam folder**.
