---
id: minecraft-gameserver-befehle
title: Minecraft Command List
sidebar_label: Commands
---
Here you will find an overview of **commands** for your **Minecraft server**.

[Rent your Minecraft server now from just €1.50 per month!](https://deinserverhost.de/minecraft-server-mieten)

## Information
You can **control** and **customize** the gameplay on your Minecraft server using **commands** in the chat or console.  
Learn how to **access the console** [here](home#-gameserver-panel).

### 💻 Command List
Below is a list of the **most common commands** with short explanations.  
In the examples, "Penguin" represents a **player name**.

| Command | Description | Example |
|---------|------------|---------|
| /op PLAYER | Grants a player administrator rights | `/op Penguin` |
| /deop PLAYER | Removes a player's administrator rights | `/deop Penguin` |
| /tp PLAYER TARGETPLAYER/X Y Z | Teleports a player to another player or coordinates | `/tp Penguin Penguin2`, `/tp Penguin 10 5 70` |
| /gamemode GAMEMODE PLAYER | Changes the game mode of yourself or a specified player | `/gamemode creative Penguin` |
| /time set TIME | Sets the time of day on the server | `/time set day` |
| /weather WEATHER | Sets the weather on the server | `/weather clear` |
| /kill PLAYER | Instantly kills the specified player | `/kill Penguin` |
| /clear PLAYER | Clears a player's inventory | `/clear Penguin` |
| /give PLAYER ITEM AMOUNT | Gives a player a specified item ([Item List](https://minecraftitemids.com/)) | `/give Penguin minecraft:stone 64` |
| /spawnpoint PLAYER | Sets a player's spawn point | `/spawnpoint Penguin` |
| /setworldspawn | Sets the world's spawn point | `/setworldspawn` |
| /save-all | Saves the current world and player data | `/save-all` |
| /kick PLAYER REASON | Kicks a player from the server (can rejoin) | `/kick Penguin Please contact support!` |
| /ban PLAYER | Bans a player from the server (cannot rejoin) | `/ban Penguin` |
| /ban-ip PLAYER | Bans a player's IP address (needed for offline mode servers) | `/ban-ip Penguin` |
| /pardon PLAYER | Unbans a player, allowing them to rejoin the server | `/pardon Penguin` |
| /gamerule RULE VALUE | Changes Minecraft rules (e.g., stops day-night cycle) | `/gamerule doDaylightCycle false` |
| /difficulty DIFFICULTY | Changes the server difficulty | `/difficulty peaceful` |
| /whitelist | Manages the server whitelist (more info below) | `/whitelist add Penguin` |

> **Console Commands:** In the **server console**, commands must be entered **without the `/` prefix**.

### 🚨 /op and /deop

Minecraft has **4 operator levels**:

| Level | Permissions & Commands |
|-------|------------------------|
| **1** | Operators can bypass **spawn protection** but have no additional commands |
| **2** | Grants access to `/clear`, `/difficulty`, `/effect`, `/gamemode`, `/gamerule`, `/give`, `/summon`, `/setblock`, and `/tp` |
| **3** | Grants access to `/ban`, `/deop`, `/whitelist`, `/kick`, and `/op` |
| **4** | Grants access to `/stop` and `/save-all` |

By default, **OP level 4** is assigned. Operator levels can be modified in the `ops.json` file via **file browser**.  
The **default OP level** can be set in `server.properties` under `op-permission-level=`.

### 🕹 /gamemode

The following **game modes** are available:

| Mode | Description |
|------|------------|
| **survival** | Players can break blocks, lose **hunger** and **health**. |
| **creative** | Players have **unlimited items**, take no damage, and can **fly**. |
| **spectator** | Players become **invisible** and can **fly through blocks** and view the world from other players' perspectives. |
| **adventure** | Players **cannot** break most blocks and **do not lose hunger**. |

### 📕 /gamerule

A full list of **all game rules** and their descriptions can be found on the **[Minecraft Gamepedia](https://minecraft.fandom.com/wiki/Game_rule)**.

### ⚔ /difficulty

The following **difficulty levels** are available:

| Difficulty | Description |
|-----------|------------|
| **peaceful** | No hostile mobs spawn, players **do not lose hunger**, and **health regenerates automatically**. |
| **easy** | Hostile mobs spawn, but players only take **half damage** when starving. |
| **normal** | Hostile mobs deal normal damage, and starvation reduces health to **half a heart**. |
| **hard** | Zombies can break doors, and starvation **kills** the player. |

### 📃 /whitelist

Manage the **server whitelist** using these commands:

| Command | Description |
|---------|------------|
| `/whitelist add PLAYER` | Adds a player to the whitelist |
| `/whitelist remove PLAYER` | Removes a player from the whitelist |
| `/whitelist list` | Lists all whitelisted players |
| `/whitelist on` | Enables the whitelist |
| `/whitelist off` | Disables the whitelist |
| `/whitelist reload` | Reloads the whitelist (only needed if manually editing `whitelist.json`) |

[Rent your Minecraft server now from just €1.50 per month!](https://deinserverhost.de/minecraft-server-mieten)
