---
id: minecraft-server-installieren
title: Install Minecraft Server (v1.17)
sidebar_label: Minecraft Server
---
This guide explains how to install a **simple Minecraft Java server** on your **Linux vServer, Root Server, or Dedicated Server**.

## Information
Minecraft is a popular **open-world game** that revolves around **blocks, blocks, and even more blocks**.

### 🐧 Server Installation

First, **log into your server via SSH** as the **root user**.

1. **Update the server package sources**:

   ```sh
   sudo apt update && sudo apt upgrade
   ```

2. **Install Java (8)**:

   ```sh
   sudo apt install openjdk-8-jre-headless
   ```

3. **Install Screen (session manager)**:

   ```sh
   sudo apt install screen
   ```

4. **Configure the firewall (UFW)**:

   ```sh
   sudo ufw allow 25565
   ```

5. **Download the desired Minecraft version** (example: **1.17**):

   ```sh
   wget https://launcher.mojang.com/v1/objects/0a269b5f2c5b93b1712d0f5dc43b6182b9ab254e/server.jar
   ```

   > **Note:** Use **`wget`** to download the `.jar` file or manually upload it via **SFTP/FTP client**.

6. **Start a screen session** (so the server keeps running after closing SSH):

   ```sh
   screen
   ```
   The **screen information text** can be skipped with **SPACE (spacebar)**.

7. **Start the Minecraft server with 1024MB RAM**:

   ```sh
   java -Xms1024M -Xmx1024M -jar server.jar nogui
   ```

8. **Accept the Minecraft EULA**:

   After the **first start**, you must accept the **EULA license agreement** from Mojang.

   Open the **EULA file** using nano:

   ```sh
   nano eula.txt
   ```

   Change the line **`eula=false`** to **`eula=true`**, then **save and exit**.

9. **Start the server again**:

   ```sh
   java -Xms1024M -Xmx1024M -jar server.jar nogui
   ```

10. **Keep the server running after closing SSH**:  
    Leave the **screen session** with **CTRL + A + D**.

11. **Reconnect to the Minecraft console later**:

```sh
screen -r
```

If multiple screens exist, list them with:

```sh
screen -ls
```

Then reconnect with:

```sh
screen -r [session-id]
```

### 💻 Minecraft Client Setup

1. **Launch your Minecraft client**.
2. **Go to Multiplayer > Add Server**.
3. **Enter your server's IP address and port (`IPV4:25565`)**.
4. **Join and start exploring the infinite block world!**

✔ **The installation is now complete!**

### ⚠ Important Notes
- If you are using our **KVM-Flex service**, an **additional IPv4 address** must be purchased to allow external connections to your Minecraft server.
- If you encounter any **questions or issues**, please contact us via:
  - **Live Chat**
  - **Ticket System**
  - **Discord**
