---
id: rust-gameserver
title: Rust Game Server
sidebar_label: General Information
---
Here you will find everything important about your **Rust game server**.

## Management

You can manage your **game server** at **[panel.deinserverhost.de](https://panel.deinserverhost.de)**.  
Learn how to log in **[here](home#-gameserver-panel)**.

### ⚔ Become an Admin

1. **Navigate to** `server/rust/cfg/` **in the file manager**.

2. **Open the** `users.cfg` **file and add the following line**:

     ```sh
     <Role> <64-bit Steam ID> <Admin Name>
     ```

   You can find your **64-bit Steam ID** [here](https://steamid.io/).

   **Available Roles**:

   | Role | Permissions |
      | --------   | --------- |
   | `ownerid`    | Full admin rights, including the ability to add or remove admins |
   | `moderatorid`| Full admin commands, but **cannot** add or remove admins |

3. **Save the file and restart the server**.

✔ You are now an **admin** on your **Rust server**!

### 🚀 Connect to RCON

If you haven't requested your **personal RCON port**, please **[open a support ticket](https://deinserverhost.de/store/submitticket.php).**

#### **Connect via WebRCON to manage your server:**

1. **Download an RCON tool** such as **[RustAdmin](https://www.rustadmin.com/).**

2. **Click on** `Configuration` **and fill in the required fields**.

3. **Click** `Save` **to store your configuration.**  
   You can also give your configuration a **custom name**.

![img](/img/rust/rcontool.png)

> **[!]** The server must be **fully started** before you can connect via **RCON**.

4. **Click** `Server` **in the top left, then select** `Connect`.

![img](/img/rust/rconconnect.png)

✔ **You can now use RCON to manage your Rust server!**
