---
id: prepaid
title: Our PrePaid System
sidebar_label: PrePaid System
---

We are fully committed to a **PrePaid system**. That’s a promise.  
Contracts can be annoying and often come with long notice periods. Not with us! Every product you rent from us is not tied to a contract and can be conveniently canceled at the end of the month.

### ℹ What is PrePaid exactly?
PrePaid means that you pay for your desired product **in advance**. You are not bound by minimum contract periods or fluctuating renewal fees. You rent your product for **one month** and pay for that month at the time of booking.  
It works similarly to a SIM card: You top up your balance and choose a plan – in this case, a **Minecraft server** or a **domain** of your choice.

As long as your **account has sufficient credit**, your services will be automatically renewed.  
If you do not have enough credit to renew your product, it will be **automatically canceled** and removed.

### ⁉ How is billing handled?
Each of our products is billed **on a monthly basis**, with the exception of **domains**, which are billed **annually**.  
For more information on our domain offerings, visit our [website](https://deinserverhost.de/store/cart.php?a=add&domain=register) or check out the **Domains** section in our [Wiki](https://deinserverhost.de/wiki/domains).

Many of our products also offer the option to **change the billing cycle**.  
For example, you can book a product for **six months** in advance.  
You can choose from **monthly** up to **yearly** payments.  
But don’t worry: **The PrePaid system remains in place**, meaning you will **never** be locked into a contract.

![img](/img/billingcycle.png)

**Pro tip:** By booking for a **longer period**, you can **save money**!

### 😶 How do I cancel my products?
If you no longer need your service, you **don’t have to do anything**.  
We will **not** renew your product if you no longer want it.  
You **won’t receive** payment requests or reminders.

Our system will still send you an **invoice via email**, but if you no longer wish to use the service, simply **ignore it**.  
Your product will be **automatically deleted** at the end of the paid period **if no credit is available**.  
If you still have **remaining credit**, the service will be automatically **renewed** unless **you cancel it manually** in the customer portal.

