---
id: deinserverhost-whmcs-modul
title: DSHReseller Module
sidebar_label: WHMCS Module
---

## DSHReseller

The DSHReseller Module is the first of its kind. This module is designed for our Dedicated Servers as well as Storage and Windows Servers. This module allows reseller customers to control their servers. Additionally, it enables the management of DDoS protection and setting rDNS for IP addresses.

The current version includes the following features:

**Client Features**
- Start the server
- Stop the server (can be denied by an admin)
- Reset the server (similar to a power outage)
- Reinstall the server
- Start the Linux Live Rescue System
- Retrieve the installation status
- Cancel reinstallation
- Retrieve DDoS filter settings
- Modify Layer 4 and Layer 7 filters
- Set an rDNS record for the selected IPv4 address

**Admin Features**
- Start/Stop/Reset the server
- Retrieve the server status
- Reinstall with selected template
- Cancel reinstallation
- Start the Linux Live Rescue System
- Decide what happens with the service on Terminate/Suspend/Unsuspend
- Deny customers the ability to shut down the server
- Modify the DDoS filter of an IP address
- View the last 25 attacks on the IP
- Search for services by IP or ID

Of course, the design of the client area can be customized. A template is provided, which can be modified.
The template is located in `/templates/client/home.tpl` and contains all functions. This can be used as a basis for a custom design.
We recommend creating a backup of the template before making changes.
Additionally, it should be noted that the current version does not include a template manager to switch designs. This means that when updating, care must be taken not to overwrite the custom template and revert to the default design.

### Screenshots

**Client**  
![DSHReseller - Client Dedicated](/img/reseller/DSHReseller_client.png)  
![DSHReseller - Client Overview](/img/reseller/client_ddos.png)  
![DSHReseller - Client DDoS](/img/reseller/client_overview.png)

**Admin**  
![DSHReseller - Admin Manage dedicated](/img/reseller/DSHReseller_admin.png)  
![DSHReseller - Admin DDOS](/img/reseller/admin_ddos.png)  
![DSHReseller - Admin ServiceInfo](/img/reseller/admin_serviceinfo.png)


# Changelog

| Version  | Description  | Date | Download |
|------  | ------     | ------  | ---- |
**0.8**     |  **Released** (``Tested in WHMCS 8.2.x & 8.4``) | **10.02.2022** | **[Download v0.8](https://rose.dsh-mirror.de/reseller/whmcs-module/0.8/dshreseller_v0.8.0.zip)**
|-| Renamed the module from ``dshreseller`` to ``manageservers`` to become more whitelabeled |
|**⚠️**|**Please delete the ``/modules/servers/dshreseller`` to avoid errors before uploading the new version. Also, check your "Servers" and Products to ensure they have assigned the correct module.**|⚠️|⚠️|
|-|Added full language support - https://git.dsh.gg/Conan_Doyl/DSHReseller-Languagefiles |
|-|Import old data from the dshreseller module|
|-|Permission manager improved, permissions now correctly implemented|
|-|Template manager updated - Fully customizable Admin/Client templates|
|-|Added a hook for the Client Area Panel|
|-|Danish language added - Thanks to Mikkel for the translations|
|-|Spanish language partially added - Thanks to Mikkel for the translations|
|-|Many bug fixes from v0.7.x|
**0.6**     |  **Pre-Release** (``Tested in WHMCS 7.10.x``) | **19.03.2021** | **[Download v0.6](https://rose.dsh-mirror.de/reseller/whmcs-module/0.6/DSH_Reseller_v0.6.zip)**
|-| Added an addon to manage additional settings for the reseller. |
|-| Added a search function to find services by their IP or ID. |
|-| Added a new template service. |
|-| Added a settings handler. |
|-| Added a client template. |
|-| Added a DDoS management panel for admin and clients. |
|-| Added a service overview for clients. |
|-| Added a new reseller API (Documentation follows soon). |
|-| Added a quick manage option for admins. |
|-| Added a logging system to log client/admin activities. |
|-| Added a "Service Type" to products to handle different reseller types. |
**0.5**     |  **Released** (``Tested in WHMCS 7.10.x & 8.0``) | **06.03.2021**
|-| Fixed: Assigned IPs are now controllable |
|-| Removed: Unused JavaScript functions |
**0.4**     |  **Released** (``Tested in WHMCS 7.10.x & 8.0``) | **01.03.2021**
|-| Added onTerminate/onSuspend/onUnsuspend events |
|-| Choose what should happen when the event is triggered |
|-| Fixed minor bugs with the DDoS filter management |
**0.3**     |  **Released** (``Tested in WHMCS 7.10.x & 8.0``) | **26.02.2021**
|-| Layer 4 dynamic/permanent filtering |
|-| Layer 7 filtering with or without Layer 4 filtering |
|-| rDNS records can be set |

