---
id: reseller-informationen
title: Reseller Information!
sidebar_label: Reseller Information
---

# Reseller Information

## Introduction - How to Become a Reseller at DeinServerHost?

Before becoming a reseller, you should first ask yourself what exactly you want to do. If you truly want to start a hosting business, you should already have some basic knowledge about the industry. While we support our resellers as much as possible, a solid foundation is crucial.

Once you have a basic understanding and a clear plan in mind, you can take the next step.  
It's not just about having the right software to create virtual servers or manage invoices—there's much more to consider. For example, registering a business is necessary to legally issue invoices and generate revenue. Since this is a complex topic, we won’t go into details here, but we'll assume that these steps have already been completed.

Now, we come into play. By submitting a reseller request, we initiate further discussions.  
There are different types of reselling, and we offer the following products for resale:

- KVM vServers (with a dedicated host system provided by us)
- Windows/Storage vServers¹
- Dedicated Servers¹
- Game Servers²

At the beginning, it’s best to start with just one category so that you can learn the ins and outs at a manageable pace. Once you are comfortable, you can expand your offerings to include additional services.

---

## First Steps - Getting in Touch

If you decide to become a reseller, you can create a [free account](https://deinserverhost.de/register.php) and contact us via [support ticket](https://deinserverhost.de/store/submitticket.php).  
However, please include the following information in your request:

- Do you have prior experience in hosting and reselling?
- What exactly do you plan to offer?
- Have you already chosen a software solution?
- Have you registered a business, or do you already own one?
- What payment method do you prefer?
- Do you need rack space in a data center for your own servers?
- If using our host systems, what billing cycle do you prefer? (Monthly, Quarterly, Semi-Annually, Annually)

During the initial discussions, we will also cover topics such as owning your own IP networks (with or without WHOIS entries).  
Additionally, we offer **Managed Servers³**, where we take care of setup, maintenance, and monitoring. This is especially beneficial for beginners who lack experience in server management.

Once all questions are resolved, we will place your orders, and there may be a waiting period.  
As soon as your host system is set up, we will contact you again.

---

## Your First Host System - Setup & Management

Once we inform you that your host system is ready, you can start setting up your business. In most cases, we have already pre-configured the system for you. However, there are still a few questions to address—let’s assume you’re starting with a KVM host system:

- Which software should you use to allow customers to manage their servers?
- How should invoices be created, and how will customers pay?
- Do you want to automate these processes?

We recommend using **WHMCS**, a powerful billing and automation tool for managing servers, invoices, and customers.  
One of WHMCS's biggest advantages is its modular design, allowing you to extend its functionality with add-ons.

We suggest hosting WHMCS on a dedicated server or at least a vServer.  
For beginners, a vServer is sufficient, but as your business grows, you might need to scale up.  
We can assist you with installing WHMCS, but it's beneficial to do it yourself to gain hands-on experience.

Once WHMCS is installed, you can start configuring products. The platform includes several pre-installed modules, including integration for Plesk.

| Services Menu             |  Order List |
|-------------------------|-------------------------|
| ![Services - Create new Service](/img/reseller/menu_setup_service.png) | ![Create the new Service](/img/reseller/setup_product.png) |

After setting up your first product, defining prices, and creating configuration options, the product becomes available.  
WHMCS includes a built-in **shop** and **client area**, so all non-hidden products will be publicly listed and available for purchase.  
Customers must register before placing an order.

Once you receive your first order, you need to process it.  
Log in to your WHMCS admin panel, go to **Orders** → **Pending Orders**, and you should see the new order.

| Orders Menu             |  Order List |  
|-------------------------|-------------------------|  
| ![Orders - Pending Orders](/img/reseller/order-pending-orders.png) | ![Orders - List Order](/img/reseller/order_in_list.png) |  

When you open the order, you will see more details and possible actions related to modules, such as domain registrations.  
These actions can be executed automatically when accepting the order, but they can also be disabled if manual processing is preferred.

![Orders - Manage Order](/img/reseller/manage_order.png)

Once the order is **accepted**, or you have manually set up the product, the customer can start using it.  
WHMCS will automatically generate renewal invoices and send them to customers based on your configuration.  
There are many customization options available, so it’s important to familiarize yourself with WHMCS settings.

In addition to billing and automation, WHMCS also includes features like:
- **Support Ticket System** (Customers can create support requests)
- **Announcements & Marketing Emails**
- **Network Issues Tracking**
- **Discount Codes & Affiliate Programs**
- **Customization Options** (Themes & Templates)

WHMCS can be extended with additional **modules, add-ons, and themes**, allowing you to customize the customer and admin interface.  
Even beginners with basic **HTML knowledge** can make simple modifications.

---

## Additional Notes

> ¹) **Dedicated and Windows/Storage Servers** have their own reseller module.  
> ²) **Game Server reselling** requires a minimum of **two servers**—one for the web interface and one for hosting game servers.  
> ³) **Managed service** is available per server and incurs additional costs.
