---
id: teamspeak-server-installieren
title: Install TeamSpeak Server
sidebar_label: TeamSpeak Server
---
This guide explains how to install a TeamSpeak server on your Windows or Linux server.

## Information
TeamSpeak is a communication software that allows users to communicate via voice and text over the internet and share files.

---

### 🐧 Linux Installation (Debian/Ubuntu)
1. Update your system and install necessary components:

    ```sh
    $ apt update && apt upgrade -y
    $ apt install sudo bzip2
    ```

2. Create a new user for the server and switch to it:

    ```sh
    $ sudo adduser teamspeak --disabled-login
    $ sudo su teamspeak -l
    ```

3. Copy the link for the latest 64-bit Linux server version from the [TeamSpeak Downloads Page](https://www.teamspeak.com/en/downloads/#server).

4. Download, extract the file, and navigate to the directory (example: v3.13.3):

    ```sh
    $ wget https://files.teamspeak-services.com/releases/server/3.13.3/teamspeak3-server_linux_amd64-3.13.3.tar.bz2
    $ tar xvfj teamspeak3-server_linux_amd64-3.13.3.tar.bz2
    $ cd teamspeak3-server_linux_amd64
    ```

5. Use `ls -l` to check the TeamSpeak server files. Make the start script executable:

    ```sh
    $ sudo chmod +x ts3server_startscript.sh
    $ ./ts3server_startscript.sh start
    ```

---

### 🖥️ Windows Server Installation
Before installing, you need to open the necessary ports.

1. Open **Windows Firewall with Advanced Security** via the Windows search and create the following rules to allow ports:

  - **9987** - (UDP incoming)
  - **2010** - (UDP outgoing)
  - **30033, 10011, 41144** - (TCP incoming)
  - **2008** - (TCP outgoing)

   > **How to create a rule?**  
   > Click on **Inbound Rules** (for incoming connections) or **Outbound Rules** (for outgoing connections) in the left panel, then select **New Rule** in the right panel.  
   > Choose **Port** as the rule type, select TCP or UDP, and enter the required port numbers. Then select **Allow the connection**. Keep all profiles enabled, and name the rule.

2. Download the **64-bit server ZIP archive** from the [TeamSpeak Downloads Page](https://www.teamspeak.com/en/downloads/#server) and extract it to your desktop.

3. Extract the archive and start the server by running `ts3server.exe`.

4. You will be asked to **accept the server license** and will receive your **admin credentials**.  
   **Save these credentials!**

The server is now running. 🎉

Make sure to **save the Server Query Admin Login and Server Admin privilege key**, as you will need them to manage the server.

---

### 🌎 Connecting the Server to a Domain

To connect your server to a domain, refer to the guide on [Creating an SRV Record](../domains/dns/srv-record-erstellen#-anlegen-von-srv-records-für-teamspeak).
