// sidebars.js
const {translate} = require('@docusaurus/Translate');

module.exports = {
    docs: [
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.allgemeines',
                message: 'Allgemeines', // fallback if no translation is found
                description: 'Sidebar label for the Allgemeines category',
            }),
            items: [
                'home',
                'prepaid',
                'elterninformation',
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.extras',
                message: 'Extras',
            }),
            items: [
                'extras/extra-preisliste',
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.git',
                message: 'Git',
            }),
            items: [
                'git/git-workflow-vscode',
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.domains',
                message: 'Domains',
            }),
            items: [
                'domains/home',
                'domains/dns-allgemein',
                'domains/subdomain-erstellen',
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.dns_records',
                        message: 'DNS Records',
                    }),
                    items: [
                        'domains/dns/a-record-erstellen',
                        'domains/dns/aaaa-record-erstellen',
                        'domains/dns/cname-record-erstellen',
                        'domains/dns/mx-record-erstellen',
                        'domains/dns/srv-record-erstellen',
                        'domains/dns/txt-record-erstellen',
                    ],
                },
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.gameserver',
                message: 'Gameserver',
            }),
            items: [
                'gameserver/home',
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.eigene_server',
                        message: 'Eigene Server',
                    }),
                    items: [
                        'valheim/valheim-server-erstellen',
                    ],
                },
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.unsere_server',
                        message: 'Unsere Server',
                    }),
                    items: [
                        {
                            type: 'category',
                            label: translate({
                                id: 'sidebar.category.minecraft',
                                message: 'Minecraft',
                            }),
                            items: [
                                'gameserver/minecraft-gameserver',
                                'gameserver/minecraft-gameserver-befehle',
                                {
                                    type: 'category',
                                    label: translate({
                                        id: 'sidebar.category.plugins',
                                        message: 'Plugins',
                                    }),
                                    items: [
                                        'gameserver/minecraft-gameserver-spigot-installieren',
                                        'gameserver/minecraft-gameserver-plugins-installieren',
                                    ],
                                },
                            ],
                        },
                        {
                            type: 'category',
                            label: translate({
                                id: 'sidebar.category.rust',
                                message: 'Rust',
                            }),
                            items: [
                                'gameserver/rust-gameserver',
                            ],
                        },
                    ],
                },
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.reseller',
                message: 'Reseller',
            }),
            items: [
                'reseller/reseller-informationen',
                'reseller/deinserverhost-whmcs-modul',
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.api',
                        message: 'DeinServerHost API',
                    }),
                    items: [
                        'reseller/api/reseller-api',
                        {
                            type: 'category',
                            label: translate({
                                id: 'sidebar.category.allgemeine_funktionen',
                                message: 'Allgemeine Funktionen',
                            }),
                            items: [
                                'reseller/api/allgemein/fuktionen',
                                'reseller/api/allgemein/addCancallationRequest',
                                'reseller/api/allgemein/getServiceInformations',
                            ],
                        },
                        {
                            type: 'category',
                            label: translate({
                                id: 'sidebar.category.ddos_funktionen',
                                message: 'DDoS Funktionen',
                            }),
                            items: [
                                'reseller/api/ddos/fuktionen',
                                'reseller/api/ddos/incidents',
                                'reseller/api/ddos/layer4_activate',
                                'reseller/api/ddos/layer4_deactivate',
                                'reseller/api/ddos/layer7_activate',
                                'reseller/api/ddos/layer7_deactivate',
                                'reseller/api/ddos/layer7_onlyon',
                                'reseller/api/ddos/layer7_onlyoff',
                                'reseller/api/ddos/setrdns',
                                'reseller/api/ddos/status',
                            ],
                        },
                        {
                            type: 'category',
                            label: translate({
                                id: 'sidebar.category.dedicated_funktionen',
                                message: 'Dedicated Funktionen',
                            }),
                            items: [
                                'reseller/api/dedicated/fuktionen',
                                'reseller/api/dedicated/statusServer',
                                'reseller/api/dedicated/startServer',
                                'reseller/api/dedicated/stopServer',
                                'reseller/api/dedicated/resetServer',
                                'reseller/api/dedicated/reinstallServer',
                                'reseller/api/dedicated/getInstallStatus',
                                'reseller/api/dedicated/cancelReinstall',
                            ],
                        },
                    ],
                },
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.softwares',
                message: 'Softwares',
            }),
            items: [
                'software-installation/debian-chrome-installieren',
                'software-installation/debian-cockpit-installieren',
                'software-installation/debian-cronjobs-einstellen',
                'software-installation/debian-nodejs-installieren',
                'software-installation/debian-docker-installieren',
                'software-installation/debian-python-installieren',
                'software-installation/debian-fail2ban-installieren',
                'software-installation/debian-java-8-installieren',
                'software-installation/debian-mariadb-installieren',
                'software-installation/debian-nano-installieren',
                'software-installation/debian-phpmyadmin-installieren',
                'software-installation/debian-sudo-installieren',
                'software-installation/nomachine-grafische-oberfläche-installieren',
                'software-installation/teamspeak-server-installieren',
                'software-installation/wireguard-installation',
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.webspace',
                message: 'Webspace',
            }),
            items: [
                'webspace/plesk-datenbank-erstellen',
                'webspace/plesk-domain-verbinden',
                'webspace/plesk-email-erstellen',
                'webspace/plesk-ssl-einrichten',
            ],
        },
        {
            type: 'category',
            label: translate({
                id: 'sidebar.category.andere_produkte',
                message: 'Andere Produkte',
            }),
            items: [
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.musikbot',
                        message: 'Musikbot',
                    }),
                    items: [
                        'musikbot/musik-hochladen',
                        'musikbot/musikbot-teamspeak-verbinden',
                        'musikbot/musikbot-discord-verbinden',
                    ],
                },
                {
                    type: 'category',
                    label: translate({
                        id: 'sidebar.category.discordbot',
                        message: 'Discordbot',
                    }),
                    items: [
                        'discordbot/debian-discord-bot-setup',
                    ],
                },
            ],
        },
    ],
};
